Skip to main content
GET
/
v2
/
checkout
/
{slug}
/
result
/
{transactionId}
Get Checkout By Slug Result By Transaction ID
curl --request GET \
  --url https://api.pagou.ai/v2/checkout/{slug}/result/{transactionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-checkout-session-token: <x-checkout-session-token>'
{
  "success": true,
  "requestId": "<string>",
  "data": {
    "status": "<string>",
    "transaction": {
      "id": 123,
      "status": "<string>",
      "method": "pix",
      "amount": 123,
      "base_price": 123,
      "currency": "BRL",
      "created_at": "<string>",
      "updated_at": "<string>",
      "paid_at": "<string>",
      "processed_at": "<string>",
      "captured_at": "<string>",
      "receipt_url": "<string>",
      "notify_url": "<string>",
      "external_ref": "<string>",
      "installments": 123,
      "paid_amount": 123,
      "refunded_amount": 123,
      "fee": {
        "net_amount": 123,
        "estimated_fee": 123
      },
      "pix": {
        "qr_code": "<string>",
        "expiration_date": "<string>",
        "receipt_url": "<string>"
      },
      "voucher": {
        "url": "<string>",
        "barcode": "<string>",
        "digitable_line": "<string>",
        "expiration_date": "<string>",
        "receipt_url": "<string>"
      },
      "elements": {
        "client_secret": "<string>",
        "intent_id": "<string>",
        "account_id": "<string>"
      },
      "next_action": {
        "type": "three_ds_challenge",
        "challenge_session_id": "<string>",
        "client_secret": "<string>",
        "expires_at": "<string>"
      },
      "card_brand": "<string>",
      "card_last4": "<string>"
    },
    "items": [
      {
        "id": 123,
        "product_id": 123,
        "type": "physical",
        "name": "<string>",
        "description": "<string>",
        "quantity": 123,
        "currency": "BRL",
        "price": 123,
        "compare_price": 123,
        "image_url": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-checkout-session-token
string
required
Minimum string length: 1

Path Parameters

slug
string
required
Required string length: 3 - 255
transactionId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Success

success
boolean
required
requestId
string
required
data
object
required